GRMIC(1)

NAME
grmic - Generate stubs for Remote Method Invocation

SYNOPSIS
grmic [OPTION] ... class ...

DESCRIPTION
grmic is a utility included with "libgcj" which generates stubs for remote objects.

Note that this program isn't yet fully compatible with the JDK grmic. Some options, such as -classpath, are recognized but currently ignored. We have left these options undocumented for now.

Long options can also be given with a GNU-style leading --. For instance, --help is accepted.

OPTIONS

-keep
-keepgenerated
    By default, grmic deletes intermediate files. Either of these options causes it not to delete such files.

-v1.1
    Cause grmic to create stubs and skeletons for the 1.1 protocol version.

-vcompat
    Cause grmic to create stubs and skeletons compatible with both the 1.1 and 1.2 protocol versions. This is the default.

-v1.2
    Cause grmic to create stubs and skeletons for the 1.2 protocol version.

-nocompile
    Don't compile the generated files.

-verbose
    Print information about what grmic is doing.

-d directory
    Put output files in directory. By default the files are put in the current working directory.

-help
    Print a help message, then exit.

-version
    Print version information, then exit.

SEE ALSO

COPYRIGHT
Copyright (c) 2001-2015 Free Software Foundation, Inc.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, the Front-Cover Texts being (a) (see below), and with the Back-Cover Texts being (b) (see below). A copy of the license is included in the man page gfdl(7).

(a) The FSF's Front-Cover Text is:

     A GNU Manual

(b) The FSF's Back-Cover Text is:

     You have freedom to copy and modify this GNU Manual, like GNU
     software.  Copies published by the Free Software Foundation raise
     funds for GNU development.